# class Sass::Supports::Condition

The abstract superclass of all Supports conditions.

### Public Instance Methods

deep_copy() click to toggle source

Returns a deep copy of this condition and all its children.

@return [Condition]

    # File lib/sass/supports.rb, line 24
    def deep_copy; Sass::Util.abstract(self); end

options=(options) click to toggle source

Sets the options hash for the script nodes in the supports condition.

@param options [{Symbol => Object}] The options has to set.

    # File lib/sass/supports.rb, line 29
    def options=(options); Sass::Util.abstract(self); end

perform(environment) click to toggle source

Runs the SassScript in the supports condition.

@param environment [Sass::Environment] The environment in which to run the script.

    # File lib/sass/supports.rb, line 8
    def perform(environment); Sass::Util.abstract(self); end

to_css() click to toggle source

Returns the CSS for this condition.

@return [String]

    # File lib/sass/supports.rb, line 13
    def to_css; Sass::Util.abstract(self); end

to_src(options) click to toggle source

Returns the Sass/CSS code for this condition.

@param options [{Symbol => Object}] An options hash (see {Sass::CSS#initialize}). @return [String]

    # File lib/sass/supports.rb, line 19
    def to_src(options); Sass::Util.abstract(self); end